libgimpprint API Reference: intl-internal

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# intl-internal

Internationalisation functions are used to localise Gimp-Print by translating strings into the user's native language. More...

## Defines
#define | textdomain(String) (String)
#define | gettext(String) (String)
#define | dgettext(Domain, Message) (Message)
#define | dcgettext(Domain, Message, Type) (Message)
#define | bindtextdomain(Domain, Directory) (Domain)
#define | _(String) (String)
#define | N_(String) (String)

## Detailed Description

Internationalisation functions are used to localise Gimp-Print by translating strings into the user's native language.

The macros defined in this header are convenience wrappers around the gettext functions provided by libintl library (or directly by libc on GNU systems). They differ from the normal intl functions in that the textdomain is fixed, for use by functions internal to Gimp-Print. This header should not be included by source files outside the gimp-print source tree.

## Define Documentation

#define _ | ( | String |  | ) | (String)

| Definition at line 78 of file gimp-print-intl-internal.h. Referenced by escp2_do_print(), escp2_parameters(), olympus_do_print(), olympus_parameters(), ps_parameters_internal(), raw_parameters(), raw_print(), set_raw_ink_type(), stp_verify_parameter(), stp_verify_printer_params(), stpi_color_traditional_describe_parameter(), stpi_describe_generic_parameter(), stpi_set_dither_function(), verify_curve_param(), verify_dimension_param(), verify_double_param(), verify_int_param(), and verify_string_param().

#define bindtextdomain | ( | Domain,
|  | Directory |  | ) | (Domain)

| Definition at line 77 of file gimp-print-intl-internal.h. Referenced by stp_init().

#define dcgettext | ( | Domain,
|  | Message,
|  | Type |  | ) | (Message)

| Definition at line 76 of file gimp-print-intl-internal.h.

#define dgettext | ( | Domain,
|  | Message |  | ) | (Message)

| Definition at line 75 of file gimp-print-intl-internal.h.

#define gettext | ( | String |  | ) | (String)

| Definition at line 74 of file gimp-print-intl-internal.h. Referenced by stp_color_get_long_name().

#define N_ | ( | String |  | ) | (String)

| Definition at line 79 of file gimp-print-intl-internal.h.

#define textdomain | ( | String |  | ) | (String)

| Definition at line 73 of file gimp-print-intl-internal.h.